This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 164119 - Anaconda-disk druid- not correctly creating/formating swap partition if there is a boot partition
Anaconda-disk druid- not correctly creating/formating swap partition if there...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 01:06 EDT by Steve
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 01:14:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2005-07-25 01:06:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I don't know what is correct...
When clean installing -writing zeros to drive- FC4 and custom installing and custom partitioning if I have a 100mb boot partiton a root partition, a 1gb swap partition, and a 2.5 GB VFAT, i don't think swap partition is correctly formatted/partitioned. After installing (there are no errors) and using the windows hexidemal utility: WINHEX, the swap partition reads as a 2.3 gb fat32 partition.
HOWEVER, if i do a clean install and don't have a boot partition ex: have a root, 1GB swap and 2.5GB VFAT, using Winhex, the Swap reads as 1GB linux-swap.
I have also used the linux hex editor VCHE-virtual console hex editor to see that the swap is fat32 if I have a boot partition but swap isn't fat32 if I don't have a boot partition?
Should swap be fat32 or should it be linux-swap?
I have clean installed FC4 appx 6 times with and without a boot partition getting the same results above

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. clean install FC4 on usb drive
2. custom install/custom partitions w/ druid
3. make 100mb boot-sda1 75000 ext3-sda2 a 1gb swap-sda3 and 2.5gb VFAT-sda4
4. use a hex editor with disk editing features (such as widows- Winhex or linux VCHE) to see that swap- sda3 is actually formatted as fat32


Expected Results:  as stated, should swap be fat32 or not 'linux-swap'?
I would have to guess linux-swap.

Additional info:

I installed FC4 on a USB drive- and run FC4 of the USB drive
Comment 1 Steve 2005-07-25 21:31:27 EDT
FC4 has now completely frozen on me 3 times since not using a boot partition. It
freezes after starting- loading gnome panel and desktop. However, when I used a
boot partition, FC4 never locked up.
Comment 2 Steve 2005-07-26 19:06:53 EDT
It froze again so I did a clean install and tried something different:
I again did a custom install w/ custom partitions but and my partitions are as
follows:
50MB /boot
75000MB /
1GB Swap
2.5GB UNPARTITIONED
usually I would partition the 2.5 as vfat but this time I didn't
format/partition as a result I checked after installing to see if the swap was
correctly partitioned/formatted and it was, it reads 1GB linux-swap
In every install, I chose the 'force to be primary' on all partions
So it looks like Anaconda/disk druid has a problem with creating 4 primary
partitions- it does not correctly create swap.
Comment 3 Chris Lumens 2006-04-26 10:48:43 EDT
Is this better in FC5?
Comment 4 Steve 2006-04-26 12:47:27 EDT
Yes, so far have not experienced problems with Druid / Anaconda in FC5
Comment 5 Christian Iseli 2007-01-19 19:09:29 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Steve 2007-01-22 01:14:17 EST
I'd say to close this. Sorry, thought it was already closed. I havn't noticed
this issue since FC4.

Note You need to log in before you can comment on or make changes to this bug.